{
  "parent": "allthefish:kill_tropical_fish_all",
  "criteria": {
    "kill_100664065": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:100664065}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_100729601": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:100729601}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_100795137": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:100795137}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_100860673": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:100860673}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_100926209": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:100926209}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_100991745": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:100991745}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101057281": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101057281}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101122817": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101122817}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101188353": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101188353}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101253889": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101253889}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101319425": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101319425}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101384961": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101384961}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101450497": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101450497}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101516033": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101516033}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101581569": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101581569}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101647105": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101647105}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117441281": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117441281}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117506817": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117506817}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117572353": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117572353}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117637889": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117637889}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117703425": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117703425}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117768961": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117768961}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117834497": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117834497}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117900033": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117900033}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117965569": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117965569}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118031105": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118031105}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118096641": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118096641}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118162177": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118162177}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118227713": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118227713}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118293249": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118293249}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118358785": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118358785}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118424321": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118424321}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_131841": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:131841}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134218497": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134218497}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134284033": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134284033}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134349569": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134349569}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134415105": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134415105}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134480641": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134480641}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134546177": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134546177}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134611713": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134611713}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134677249": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134677249}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134742785": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134742785}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134808321": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134808321}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134873857": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134873857}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134939393": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134939393}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_135004929": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:135004929}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_135070465": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:135070465}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_135136001": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:135136001}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_135201537": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:135201537}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_150995713": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:150995713}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151061249": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151061249}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151126785": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151126785}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151192321": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151192321}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151257857": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151257857}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151323393": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151323393}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151388929": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151388929}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151454465": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151454465}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151520001": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151520001}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151585537": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151585537}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151651073": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151651073}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151716609": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151716609}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151782145": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151782145}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151847681": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151847681}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151913217": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151913217}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151978753": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151978753}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_167772929": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:167772929}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_16777985": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:16777985}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_167838465": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:167838465}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_167904001": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:167904001}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_167969537": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:167969537}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168035073": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168035073}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168100609": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168100609}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168166145": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168166145}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168231681": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168231681}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168297217": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168297217}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168362753": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168362753}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168428289": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168428289}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_16843521": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:16843521}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168493825": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168493825}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168559361": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168559361}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168624897": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168624897}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168690433": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168690433}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168755969": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168755969}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_16909057": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:16909057}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_16974593": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:16974593}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17040129": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17040129}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17105665": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17105665}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17171201": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17171201}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17236737": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17236737}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17302273": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17302273}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17367809": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17367809}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17433345": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17433345}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17498881": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17498881}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17564417": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17564417}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17629953": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17629953}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17695489": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17695489}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17761025": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17761025}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184550145": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184550145}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184615681": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184615681}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184681217": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184681217}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184746753": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184746753}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184812289": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184812289}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184877825": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184877825}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184943361": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184943361}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185008897": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185008897}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185074433": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185074433}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185139969": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185139969}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185205505": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185205505}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185271041": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185271041}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185336577": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185336577}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185402113": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185402113}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185467649": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185467649}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185533185": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185533185}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_197377": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:197377}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201327361": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201327361}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201392897": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201392897}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201458433": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201458433}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201523969": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201523969}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201589505": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201589505}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201655041": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201655041}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201720577": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201720577}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201786113": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201786113}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201851649": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201851649}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201917185": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201917185}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201982721": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201982721}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_202048257": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:202048257}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_202113793": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:202113793}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_202179329": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:202179329}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_202244865": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:202244865}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_202310401": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:202310401}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218104577": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218104577}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218170113": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218170113}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218235649": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218235649}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218301185": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218301185}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218366721": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218366721}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218432257": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218432257}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218497793": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218497793}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218563329": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218563329}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218628865": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218628865}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218694401": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218694401}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218759937": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218759937}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218825473": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218825473}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218891009": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218891009}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218956545": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218956545}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_219022081": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:219022081}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_219087617": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:219087617}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_234881793": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:234881793}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_234947329": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:234947329}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235012865": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235012865}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235078401": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235078401}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235143937": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235143937}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235209473": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235209473}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235275009": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235275009}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235340545": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235340545}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235406081": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235406081}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235471617": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235471617}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235537153": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235537153}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235602689": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235602689}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235668225": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235668225}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235733761": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235733761}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235799297": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235799297}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235864833": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235864833}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_251659009": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:251659009}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_251724545": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:251724545}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_251790081": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:251790081}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_251855617": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:251855617}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_251921153": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:251921153}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_251986689": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:251986689}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252052225": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252052225}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252117761": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252117761}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252183297": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252183297}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252248833": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252248833}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252314369": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252314369}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252379905": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252379905}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252445441": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252445441}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252510977": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252510977}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252576513": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252576513}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252642049": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252642049}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_262913": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:262913}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_328449": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:328449}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33555201": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33555201}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33620737": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33620737}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33686273": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33686273}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33751809": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33751809}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33817345": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33817345}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33882881": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33882881}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33948417": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33948417}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34013953": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34013953}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34079489": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34079489}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34145025": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34145025}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34210561": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34210561}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34276097": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34276097}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34341633": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34341633}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34407169": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34407169}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34472705": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34472705}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34538241": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34538241}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_393985": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:393985}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_459521": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:459521}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50332417": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50332417}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50397953": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50397953}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50463489": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50463489}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50529025": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50529025}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50594561": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50594561}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50660097": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50660097}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50725633": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50725633}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50791169": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50791169}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50856705": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50856705}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50922241": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50922241}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50987777": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50987777}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_51053313": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:51053313}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_51118849": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:51118849}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_51184385": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:51184385}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_51249921": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:51249921}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_51315457": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:51315457}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_525057": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:525057}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_590593": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:590593}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_656129": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:656129}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_66305": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:66305}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67109633": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67109633}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67175169": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67175169}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67240705": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67240705}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67306241": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67306241}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67371777": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67371777}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67437313": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67437313}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67502849": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67502849}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67568385": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67568385}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67633921": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67633921}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67699457": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67699457}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67764993": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67764993}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67830529": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67830529}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67896065": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67896065}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67961601": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67961601}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_68027137": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:68027137}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_68092673": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:68092673}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_721665": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:721665}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_769": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:769}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_787201": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:787201}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_83886849": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:83886849}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_83952385": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:83952385}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84017921": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84017921}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84083457": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84083457}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84148993": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84148993}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84214529": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84214529}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84280065": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84280065}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84345601": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84345601}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84411137": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84411137}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84476673": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84476673}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84542209": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84542209}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84607745": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84607745}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84673281": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84673281}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84738817": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84738817}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84804353": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84804353}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84869889": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84869889}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_852737": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:852737}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_918273": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:918273}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_983809": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:983809}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    }
  },
  "display": {
    "description": {
      "extra": [
        "Blockfish",
        " Variant"
      ],
      "text": "Kill the "
    },
    "frame": "goal",
    "icon": {
      "count": 1,
      "id": "minecraft:tropical_fish"
    },
    "title": "Blockfish"
  },
  "requirements": [
    [
      "kill_769"
    ],
    [
      "kill_16777985"
    ],
    [
      "kill_33555201"
    ],
    [
      "kill_50332417"
    ],
    [
      "kill_67109633"
    ],
    [
      "kill_83886849"
    ],
    [
      "kill_100664065"
    ],
    [
      "kill_117441281"
    ],
    [
      "kill_134218497"
    ],
    [
      "kill_150995713"
    ],
    [
      "kill_167772929"
    ],
    [
      "kill_184550145"
    ],
    [
      "kill_201327361"
    ],
    [
      "kill_218104577"
    ],
    [
      "kill_234881793"
    ],
    [
      "kill_251659009"
    ],
    [
      "kill_66305"
    ],
    [
      "kill_16843521"
    ],
    [
      "kill_33620737"
    ],
    [
      "kill_50397953"
    ],
    [
      "kill_67175169"
    ],
    [
      "kill_83952385"
    ],
    [
      "kill_100729601"
    ],
    [
      "kill_117506817"
    ],
    [
      "kill_134284033"
    ],
    [
      "kill_151061249"
    ],
    [
      "kill_167838465"
    ],
    [
      "kill_184615681"
    ],
    [
      "kill_201392897"
    ],
    [
      "kill_218170113"
    ],
    [
      "kill_234947329"
    ],
    [
      "kill_251724545"
    ],
    [
      "kill_131841"
    ],
    [
      "kill_16909057"
    ],
    [
      "kill_33686273"
    ],
    [
      "kill_50463489"
    ],
    [
      "kill_67240705"
    ],
    [
      "kill_84017921"
    ],
    [
      "kill_100795137"
    ],
    [
      "kill_117572353"
    ],
    [
      "kill_134349569"
    ],
    [
      "kill_151126785"
    ],
    [
      "kill_167904001"
    ],
    [
      "kill_184681217"
    ],
    [
      "kill_201458433"
    ],
    [
      "kill_218235649"
    ],
    [
      "kill_235012865"
    ],
    [
      "kill_251790081"
    ],
    [
      "kill_197377"
    ],
    [
      "kill_16974593"
    ],
    [
      "kill_33751809"
    ],
    [
      "kill_50529025"
    ],
    [
      "kill_67306241"
    ],
    [
      "kill_84083457"
    ],
    [
      "kill_100860673"
    ],
    [
      "kill_117637889"
    ],
    [
      "kill_134415105"
    ],
    [
      "kill_151192321"
    ],
    [
      "kill_167969537"
    ],
    [
      "kill_184746753"
    ],
    [
      "kill_201523969"
    ],
    [
      "kill_218301185"
    ],
    [
      "kill_235078401"
    ],
    [
      "kill_251855617"
    ],
    [
      "kill_262913"
    ],
    [
      "kill_17040129"
    ],
    [
      "kill_33817345"
    ],
    [
      "kill_50594561"
    ],
    [
      "kill_67371777"
    ],
    [
      "kill_84148993"
    ],
    [
      "kill_100926209"
    ],
    [
      "kill_117703425"
    ],
    [
      "kill_134480641"
    ],
    [
      "kill_151257857"
    ],
    [
      "kill_168035073"
    ],
    [
      "kill_184812289"
    ],
    [
      "kill_201589505"
    ],
    [
      "kill_218366721"
    ],
    [
      "kill_235143937"
    ],
    [
      "kill_251921153"
    ],
    [
      "kill_328449"
    ],
    [
      "kill_17105665"
    ],
    [
      "kill_33882881"
    ],
    [
      "kill_50660097"
    ],
    [
      "kill_67437313"
    ],
    [
      "kill_84214529"
    ],
    [
      "kill_100991745"
    ],
    [
      "kill_117768961"
    ],
    [
      "kill_134546177"
    ],
    [
      "kill_151323393"
    ],
    [
      "kill_168100609"
    ],
    [
      "kill_184877825"
    ],
    [
      "kill_201655041"
    ],
    [
      "kill_218432257"
    ],
    [
      "kill_235209473"
    ],
    [
      "kill_251986689"
    ],
    [
      "kill_393985"
    ],
    [
      "kill_17171201"
    ],
    [
      "kill_33948417"
    ],
    [
      "kill_50725633"
    ],
    [
      "kill_67502849"
    ],
    [
      "kill_84280065"
    ],
    [
      "kill_101057281"
    ],
    [
      "kill_117834497"
    ],
    [
      "kill_134611713"
    ],
    [
      "kill_151388929"
    ],
    [
      "kill_168166145"
    ],
    [
      "kill_184943361"
    ],
    [
      "kill_201720577"
    ],
    [
      "kill_218497793"
    ],
    [
      "kill_235275009"
    ],
    [
      "kill_252052225"
    ],
    [
      "kill_459521"
    ],
    [
      "kill_17236737"
    ],
    [
      "kill_34013953"
    ],
    [
      "kill_50791169"
    ],
    [
      "kill_67568385"
    ],
    [
      "kill_84345601"
    ],
    [
      "kill_101122817"
    ],
    [
      "kill_117900033"
    ],
    [
      "kill_134677249"
    ],
    [
      "kill_151454465"
    ],
    [
      "kill_168231681"
    ],
    [
      "kill_185008897"
    ],
    [
      "kill_201786113"
    ],
    [
      "kill_218563329"
    ],
    [
      "kill_235340545"
    ],
    [
      "kill_252117761"
    ],
    [
      "kill_525057"
    ],
    [
      "kill_17302273"
    ],
    [
      "kill_34079489"
    ],
    [
      "kill_50856705"
    ],
    [
      "kill_67633921"
    ],
    [
      "kill_84411137"
    ],
    [
      "kill_101188353"
    ],
    [
      "kill_117965569"
    ],
    [
      "kill_134742785"
    ],
    [
      "kill_151520001"
    ],
    [
      "kill_168297217"
    ],
    [
      "kill_185074433"
    ],
    [
      "kill_201851649"
    ],
    [
      "kill_218628865"
    ],
    [
      "kill_235406081"
    ],
    [
      "kill_252183297"
    ],
    [
      "kill_590593"
    ],
    [
      "kill_17367809"
    ],
    [
      "kill_34145025"
    ],
    [
      "kill_50922241"
    ],
    [
      "kill_67699457"
    ],
    [
      "kill_84476673"
    ],
    [
      "kill_101253889"
    ],
    [
      "kill_118031105"
    ],
    [
      "kill_134808321"
    ],
    [
      "kill_151585537"
    ],
    [
      "kill_168362753"
    ],
    [
      "kill_185139969"
    ],
    [
      "kill_201917185"
    ],
    [
      "kill_218694401"
    ],
    [
      "kill_235471617"
    ],
    [
      "kill_252248833"
    ],
    [
      "kill_656129"
    ],
    [
      "kill_17433345"
    ],
    [
      "kill_34210561"
    ],
    [
      "kill_50987777"
    ],
    [
      "kill_67764993"
    ],
    [
      "kill_84542209"
    ],
    [
      "kill_101319425"
    ],
    [
      "kill_118096641"
    ],
    [
      "kill_134873857"
    ],
    [
      "kill_151651073"
    ],
    [
      "kill_168428289"
    ],
    [
      "kill_185205505"
    ],
    [
      "kill_201982721"
    ],
    [
      "kill_218759937"
    ],
    [
      "kill_235537153"
    ],
    [
      "kill_252314369"
    ],
    [
      "kill_721665"
    ],
    [
      "kill_17498881"
    ],
    [
      "kill_34276097"
    ],
    [
      "kill_51053313"
    ],
    [
      "kill_67830529"
    ],
    [
      "kill_84607745"
    ],
    [
      "kill_101384961"
    ],
    [
      "kill_118162177"
    ],
    [
      "kill_134939393"
    ],
    [
      "kill_151716609"
    ],
    [
      "kill_168493825"
    ],
    [
      "kill_185271041"
    ],
    [
      "kill_202048257"
    ],
    [
      "kill_218825473"
    ],
    [
      "kill_235602689"
    ],
    [
      "kill_252379905"
    ],
    [
      "kill_787201"
    ],
    [
      "kill_17564417"
    ],
    [
      "kill_34341633"
    ],
    [
      "kill_51118849"
    ],
    [
      "kill_67896065"
    ],
    [
      "kill_84673281"
    ],
    [
      "kill_101450497"
    ],
    [
      "kill_118227713"
    ],
    [
      "kill_135004929"
    ],
    [
      "kill_151782145"
    ],
    [
      "kill_168559361"
    ],
    [
      "kill_185336577"
    ],
    [
      "kill_202113793"
    ],
    [
      "kill_218891009"
    ],
    [
      "kill_235668225"
    ],
    [
      "kill_252445441"
    ],
    [
      "kill_852737"
    ],
    [
      "kill_17629953"
    ],
    [
      "kill_34407169"
    ],
    [
      "kill_51184385"
    ],
    [
      "kill_67961601"
    ],
    [
      "kill_84738817"
    ],
    [
      "kill_101516033"
    ],
    [
      "kill_118293249"
    ],
    [
      "kill_135070465"
    ],
    [
      "kill_151847681"
    ],
    [
      "kill_168624897"
    ],
    [
      "kill_185402113"
    ],
    [
      "kill_202179329"
    ],
    [
      "kill_218956545"
    ],
    [
      "kill_235733761"
    ],
    [
      "kill_252510977"
    ],
    [
      "kill_918273"
    ],
    [
      "kill_17695489"
    ],
    [
      "kill_34472705"
    ],
    [
      "kill_51249921"
    ],
    [
      "kill_68027137"
    ],
    [
      "kill_84804353"
    ],
    [
      "kill_101581569"
    ],
    [
      "kill_118358785"
    ],
    [
      "kill_135136001"
    ],
    [
      "kill_151913217"
    ],
    [
      "kill_168690433"
    ],
    [
      "kill_185467649"
    ],
    [
      "kill_202244865"
    ],
    [
      "kill_219022081"
    ],
    [
      "kill_235799297"
    ],
    [
      "kill_252576513"
    ],
    [
      "kill_983809"
    ],
    [
      "kill_17761025"
    ],
    [
      "kill_34538241"
    ],
    [
      "kill_51315457"
    ],
    [
      "kill_68092673"
    ],
    [
      "kill_84869889"
    ],
    [
      "kill_101647105"
    ],
    [
      "kill_118424321"
    ],
    [
      "kill_135201537"
    ],
    [
      "kill_151978753"
    ],
    [
      "kill_168755969"
    ],
    [
      "kill_185533185"
    ],
    [
      "kill_202310401"
    ],
    [
      "kill_219087617"
    ],
    [
      "kill_235864833"
    ],
    [
      "kill_252642049"
    ]
  ],
  "sends_telemetry_event": true
}